Subject: bug#26046: ESS installed without autoloads

From: Alex Kost <[email-masked]>
Date: Sat, 11 Mar 2017 17:38:58 +0300

Ricardo Wurmus (2017-03-10 10:03 +0100) wrote:

> The “emacs-ess” package does not behave like all other Emacs packages.
> Its files are installed to “$out/share/emacs/site-lisp/ess” (not
> “guix.d”) and there are no autoloads.
>
> I don’t know how to get ESS to work like this.  Should the package be
> changed such that it installs autoload files like all other packages?

Yeah, I think its elisp files should be put either directly into
"site-lisp" (as it is done by 'magit') or into "site-lisp/guix.d/..."
(as it is done by 'let-alist', for example).

As for the "...-autoloads.el" file, it can be created with
'emacs-generate-autoloads' procedure (see 'emacs-wget' or 'git-modes'
for examples).

Note: I've not looked at 'emacs-ess', so it was a theoretical comment :-)

-- 
Alex